import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/auth_login_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/auth_login_entity.g.dart';

@JsonSerializable()
class AuthLoginEntity {
	String? name;
	String? email;
	String? token;

	AuthLoginEntity();

	factory AuthLoginEntity.fromJson(Map<String, dynamic> json) => $AuthLoginEntityFromJson(json);

	Map<String, dynamic> toJson() => $AuthLoginEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}